View Issue Details

IDProjectCategoryView StatusLast Update
0005731mantisbtfeaturepublic2017-08-19 14:12
ReporterjschraderAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0a3 
Target Version2.1.0Fixed in Version2.1.0 
Summary0005731: search function for projects
Description

I would like to have easy access to my projects. So I think it would be nice to have a search funktion implementet. I just want to search for a substring in the project name.

TagsNo tags attached.

Relationships

has duplicate 0022185 closedatrol Projects list filter 
has duplicate 0022184 closeddregad Filter field for Projects 
has duplicate 0021934 closedcproensa Project selection is not searchable 

Activities

Grace

Grace

2011-12-28 11:14

reporter   ~0030718

Echo this, is it possible to add a search function for projects? Many thanks

syncguru

syncguru

2017-01-13 00:57

developer   ~0055091

Yes, this is on the incremental enhancement list for modern UI.
Out of curiosity, how many projects do you have enabled?

mariusz.garsztka

mariusz.garsztka

2017-01-13 02:20

reporter   ~0055092

We have over 100-150. About 20 main project with subtree structure.

dregad

dregad

2017-01-13 03:25

developer   ~0055095

See 0022184, @joachimcarrein proposed a patch to add a search capability

dregad

dregad

2017-01-13 03:26

developer   ~0055096

this is on the incremental enhancement list for modern UI

@syncguru, in that case I suggest you assign the issue to yourself and set target version to 2.1.x

Chris_Z

Chris_Z

2017-01-13 05:56

reporter   ~0055102

It would be very helpful if the search included Project Descriptions / Categories as well.

I know that currently Descriptions and Categories are is not exposed in Project Menu pull down, but with a little tweak to the code they could be.
I am attaching an example how it looks in a real life use case after the aforementioned tweak (the description part is what follows three asterisks there, and in fact is composed of short names of project Categories).

The rationale is that there are situations where only the project name alone makes sense, like in lists where the place is limited, so it should not contain too much text.
But once there are a lot of projects, sub-projects and categories it is VERY difficult for a bug reporter to find the right place. Most often it is a category what the user is looking after, everything else being just part of a hierarchy leading there. An intelligent menu search functionality would be priceless!

Best!



syncguru

syncguru

2017-01-20 19:17

developer   ~0055245

PR: https://github.com/mantisbt/mantisbt/pull/1002

Related Changesets

MantisBT: master 2a70b09b

2017-01-20 19:11:01

syncguru


Committer: vboctor Details Diff
Add the ability to search projects dropdown list

Fixes 0005731
mod - core/constant_inc.php Diff File
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File
add - js/list-1.4.1.min.js Diff File

MantisBT: master 8c77d680

2017-01-20 20:22:57

syncguru


Committer: vboctor Details Diff
Fix projects dropdown styling in chrome

Fixes 0005731
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File

MantisBT: master 2b18e498

2017-01-20 21:01:19

syncguru


Committer: vboctor Details Diff
Fix tabs and spacing

Fixes 0005731
mod - core/layout_api.php Diff File
mod - js/common.js Diff File

MantisBT: master e08ac017

2017-01-23 21:41:57

syncguru


Committer: vboctor Details Diff
Fix searchbox width for small screens

Fixes 0005731
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - library/README.md Diff File

Issue History

Date Modified Username Field Change
2005-06-08 06:06 jschrader New Issue
2011-12-28 11:14 Grace Note Added: 0030718
2017-01-12 17:15 atrol Relationship added has duplicate 0022185
2017-01-13 00:57 syncguru Assigned To => syncguru
2017-01-13 00:57 syncguru Status new => acknowledged
2017-01-13 00:57 syncguru Note Added: 0055091
2017-01-13 02:20 mariusz.garsztka Note Added: 0055092
2017-01-13 03:23 dregad Relationship added has duplicate 0022184
2017-01-13 03:25 dregad Note Added: 0055095
2017-01-13 03:26 dregad Note Added: 0055096
2017-01-13 05:56 Chris_Z File Added: Snapshot-2017-01-13-113310.png
2017-01-13 05:56 Chris_Z Note Added: 0055102
2017-01-13 13:27 syncguru Target Version => 2.1.0
2017-01-20 19:17 syncguru Note Added: 0055245
2017-01-26 11:43 vboctor Changeset attached => MantisBT master 2a70b09b
2017-01-26 11:43 vboctor Changeset attached => MantisBT master 8c77d680
2017-01-26 11:43 vboctor Changeset attached => MantisBT master 2b18e498
2017-01-26 11:43 vboctor Changeset attached => MantisBT master e08ac017
2017-01-26 11:43 vboctor Assigned To syncguru => vboctor
2017-01-26 11:43 vboctor Status acknowledged => resolved
2017-01-26 11:43 vboctor Resolution open => fixed
2017-01-26 11:43 vboctor Fixed in Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed
2017-08-19 14:12 cproensa Relationship added has duplicate 0021934